Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#2173 closed defect (fixed)

dojo.date.parse scope error

Reported by: dylan Owned by: tk
Priority: high Milestone: 0.9
Component: Date Version: 0.4.1
Keywords: Cc:
Blocked By: Blocking:

Description

dateObject is out of scope:

dojo.date.setWeekOfYear(dateObject, v, firstDay);

Change History (2)

comment:1 Changed 13 years ago by Adam Peller

Resolution: fixed
Status: newclosed

(In [6884]) Fixes #2173

comment:2 Changed 13 years ago by alex

Resolution: fixed

(In [6902]) Merged revisions 6883-6901 via svnmerge from svn+ssh://alex@svn.dojotoolkit.org/var/src/dojo/trunk

........

r6884 | peller | 2006-12-12 05:55:39 -0800 (Tue, 12 Dec 2006) | 1 line

Fixes #2173

........

r6885 | becky | 2006-12-12 13:05:55 -0800 (Tue, 12 Dec 2006) | 1 line

added support for up/down/left/right arrows for horiz and vertical sliders. needs more work for when flip values specified.

........

r6886 | ttrenka | 2006-12-12 13:59:46 -0800 (Tue, 12 Dec 2006) | 1 line

Change the demo engine to open external URLs in a new window, and added the Lightstreamer definition to the demo registry.

........

r6887 | itorrey | 2006-12-12 14:00:12 -0800 (Tue, 12 Dec 2006) | 1 line

adding screenshot thumbnail for Lightstreamer/dojo demo

........

r6888 | ttrenka | 2006-12-12 14:10:59 -0800 (Tue, 12 Dec 2006) | 1 line

Added Lightstreamer reference to demos.

........

r6889 | peller | 2006-12-12 20:11:47 -0800 (Tue, 12 Dec 2006) | 1 line

Set up modules as api.* and build an api profile

........

r6890 | peller | 2006-12-12 20:14:05 -0800 (Tue, 12 Dec 2006) | 1 line

clean up a couple more references for the api build

........

r6891 | psowden | 2006-12-13 09:23:35 -0800 (Wed, 13 Dec 2006) | 2 lines

Removing unused variable.

........

r6892 | ttrenka | 2006-12-13 12:08:42 -0800 (Wed, 13 Dec 2006) | 1 line

Fix for number detection when populating cells.

........

r6893 | elazutkin | 2006-12-13 17:46:58 -0800 (Wed, 13 Dec 2006) | 1 line

bugfix: If widget was hidden and deleted before it was fully shown, "show" animation still calls its callback, which breaks a browser subsequently. It was possible to have several mutually exclusive (show/hide) animations active simultaneously. Now the status of animations is tracked, and it is stopped when appropriate.

........

r6894 | jkuhnert | 2006-12-14 07:14:42 -0800 (Thu, 14 Dec 2006) | 1 line

Fixed regexp bugs in gen-strip-docs that were breaking RichText/TreeEditor? / etc..

........

r6895 | liucougar | 2006-12-14 09:23:25 -0800 (Thu, 14 Dec 2006) | 1 line

fixes #2155

........

r6896 | peller | 2006-12-14 15:45:12 -0800 (Thu, 14 Dec 2006) | 1 line

parse negative number patterns

........

r6897 | owen | 2006-12-14 18:03:29 -0800 (Thu, 14 Dec 2006) | 1 line

Fixes for IE6: no horizontal scroll, (hopefully) caching images, other CSS fixes

........

r6898 | owen | 2006-12-14 18:14:57 -0800 (Thu, 14 Dec 2006) | 1 line

Fix expand/collapse bug

........

r6900 | elazutkin | 2006-12-14 21:42:08 -0800 (Thu, 14 Dec 2006) | 2 lines

Added x and y parameters to the image shape for both SVG and VML versions. An image test is modified to make sure that transformations are identical. String are accepted as a stroke type: the string is interpreted as color.

........

Note: See TracTickets for help on using tickets.